# classes/phing/tasks/ext/git/GitMergeTask.php

## \GitMergeTask
jump to top

Wrapper aroung git-merge

Use {@link Project#createTask} to register a new Task.

Extends from
  \GitBaseTask
see
  \VersionControl_Git
author
  Victor Farazdagi
copyright
  2001,2002 THYRELL. All rights reserved
link
  http://www.kernel.org/pub/software/scm/git/docs/git-merge.html
package
  phing.tasks.ext.git
since
  2.4.3
version
  $Id: GitMergeTask.php 1084 2011-05-06 09:55:25Z mrook $

### Properties

`boolean $commit= 'false'`

--commit key of git-merge

Default value `false` Details

Type
  boolean

`boolean $fastForwardCommit= 'false'`

--ff --no-ff keys to git-merge

Default value `false` Details

Type
  boolean

`string $message= ''`

Commit message

Details

Type
  string

`boolean $noCommit= 'false'`

--no-commit key of git-merge

Default value `false` Details

Type
  boolean

`boolean $quiet= 'false'`

--quiet, -q key to git-merge

Default value `false` Details

Type
  boolean

`string $remote= ''`

<commit> of git-merge

Details

Type
  string

`string $strategy= ''`

Merge strategy. See -s <strategy> of git-merge Available strategies are: octopus ours recursive resolve subtree

Details

Type
  string

`string $strategyOption= ''`

-X or --strategy-option of git-merge

Details

Type
  string

`array $validStrategies= 'array'`

Valid merge strategies

Default value `array` Details

Type
  array

### Methods

`getCommit( ) :`
`getFastForwardCommit( ) :`
`getMessage( ) :`
`getNoCommit( ) :`
`getQuiet( ) :`
`getRemote( ) :`
`getStrategy( ) :`
`getStrategyOption( ) :`
`isCommit( ) :`
`isFastForwardCommit( ) :`
`isNoCommit( ) :`
`isQuiet( ) :`
`main( ) :`
The main entry point for the task
`setCommit( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setFastForwardCommit( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setMessage( $message ) :`
Parameters

Name | Type | Description
--- | --- | ---
$message |  |

`setNoCommit( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setQuiet( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setRemote( $remote ) :`
Parameters

Name | Type | Description
--- | --- | ---
$remote |  |

`setStrategy( $strategy ) :`
Parameters

Name | Type | Description
--- | --- | ---
$strategy |  |

`setStrategyOption( $strategyOption ) :`
Parameters

Name | Type | Description
--- | --- | ---
$strategyOption |  |

Documentation was generated by DocBlox 0.13.1.